package com.songhua.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.songhua.common.annotation.Excel;
import com.songhua.common.core.domain.BaseEntity;

/**
 * 景区管理对象 scenic_area_management
 * 
 * @author lc
 * @date 2024-07-04
 */
public class ScenicAreaManagement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 景点名称 */
    @Excel(name = "景点名称")
    private String scenicName;

    /** 景点半径 */
    @Excel(name = "景点半径")
    private String radius;

    /** 景点坐标 */
    @Excel(name = "景点经度")
    private Double longitude;
    @Excel(name = "景点纬度")
    private Double latitude;

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    /** 文件 */
    @Excel(name = "文件")
    private String scenicFile;




    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setScenicName(String scenicName) 
    {
        this.scenicName = scenicName;
    }

    public String getScenicName() 
    {
        return scenicName;
    }
    public void setRadius(String radius) 
    {
        this.radius = radius;
    }

    public String getRadius() 
    {
        return radius;
    }

    public void setScenicFile(String scenicFile) 
    {
        this.scenicFile = scenicFile;
    }

    public String getScenicFile() 
    {
        return scenicFile;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("scenicName", getScenicName())
            .append("radius", getRadius())
            .append("scenicFile", getScenicFile())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .toString();
    }
}
