package com.songhua.system.mapper;

import java.util.List;
import com.songhua.system.domain.ScenicAreaManagement;

/**
 * 景区管理Mapper接口
 * 
 * @author lc
 * @date 2024-07-04
 */
public interface ScenicAreaManagementMapper 
{
    /**
     * 查询景区管理
     * 
     * @param id 景区管理主键
     * @return 景区管理
     */
    public ScenicAreaManagement selectScenicAreaManagementById(Long id);

    /**
     * 查询景区管理列表
     * 
     * @param scenicAreaManagement 景区管理
     * @return 景区管理集合
     */
    public List<ScenicAreaManagement> selectScenicAreaManagementList(ScenicAreaManagement scenicAreaManagement);

    /**
     * 新增景区管理
     * 
     * @param scenicAreaManagement 景区管理
     * @return 结果
     */
    public int insertScenicAreaManagement(ScenicAreaManagement scenicAreaManagement);

    /**
     * 修改景区管理
     * 
     * @param scenicAreaManagement 景区管理
     * @return 结果
     */
    public int updateScenicAreaManagement(ScenicAreaManagement scenicAreaManagement);

    /**
     * 删除景区管理
     * 
     * @param id 景区管理主键
     * @return 结果
     */
    public int deleteScenicAreaManagementById(Long id);

    /**
     * 批量删除景区管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteScenicAreaManagementByIds(Long[] ids);
}
