package com.songhua.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.songhua.system.mapper.ScenicAreaManagementMapper;
import com.songhua.system.domain.ScenicAreaManagement;
import com.songhua.system.service.IScenicAreaManagementService;

/**
 * 景区管理Service业务层处理
 * 
 * @author lc
 * @date 2024-07-04
 */
@Service
public class ScenicAreaManagementServiceImpl implements IScenicAreaManagementService 
{
    @Autowired
    private ScenicAreaManagementMapper scenicAreaManagementMapper;

    /**
     * 查询景区管理
     * 
     * @param id 景区管理主键
     * @return 景区管理
     */
    @Override
    public ScenicAreaManagement selectScenicAreaManagementById(Long id)
    {
        return scenicAreaManagementMapper.selectScenicAreaManagementById(id);
    }

    /**
     * 查询景区管理列表
     * 
     * @param scenicAreaManagement 景区管理
     * @return 景区管理
     */
    @Override
    public List<ScenicAreaManagement> selectScenicAreaManagementList(ScenicAreaManagement scenicAreaManagement)
    {
        return scenicAreaManagementMapper.selectScenicAreaManagementList(scenicAreaManagement);
    }

    /**
     * 新增景区管理
     * 
     * @param scenicAreaManagement 景区管理
     * @return 结果
     */
    @Override
    public int insertScenicAreaManagement(ScenicAreaManagement scenicAreaManagement)
    {
        return scenicAreaManagementMapper.insertScenicAreaManagement(scenicAreaManagement);
    }

    /**
     * 修改景区管理
     * 
     * @param scenicAreaManagement 景区管理
     * @return 结果
     */
    @Override
    public int updateScenicAreaManagement(ScenicAreaManagement scenicAreaManagement)
    {
        return scenicAreaManagementMapper.updateScenicAreaManagement(scenicAreaManagement);
    }

    /**
     * 批量删除景区管理
     * 
     * @param ids 需要删除的景区管理主键
     * @return 结果
     */
    @Override
    public int deleteScenicAreaManagementByIds(Long[] ids)
    {
        return scenicAreaManagementMapper.deleteScenicAreaManagementByIds(ids);
    }

    /**
     * 删除景区管理信息
     * 
     * @param id 景区管理主键
     * @return 结果
     */
    @Override
    public int deleteScenicAreaManagementById(Long id)
    {
        return scenicAreaManagementMapper.deleteScenicAreaManagementById(id);
    }
}
